Bug 490562 - Review Request: renameutils - A set of programs to make renaming of files easier
Review Request: renameutils - A set of programs to make renaming of files easier
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 20:15 EDT by Michael Ploujnikov
Modified: 2009-03-23 11:58 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.10.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 11:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Ploujnikov 2009-03-16 20:15:35 EDT
Spec URL: http://plouj.com/rpmbuild/SPECS/renameutils.spec
SRPM URL: http://plouj.com/rpmbuild/SRPMS/renameutils-0.10.0-1.fc9.src.rpm

Hi! I just finished packaging renameutils. I would like someone to review this package and possibly sponsor me. This is my second package submission, the first one is in bug #489633.

I would like to note that I copied the summary and description from the .spec file in the renameutils source archive, so it's not my original work. Also, the project mentions (http://www.nongnu.org/renameutils/) that renameutils requires libintl, which is apparently provided by glibc-headers in Fedora. I'm wondering if it's OK to omit this from *Requires.

Description: 
The file renaming utilities (renameutils for short) are a set of
programs designed to make renaming of files faster and less
cumbersome.

The file renaming utilities consists of five programs - qmv, qcp, imv,
icp and deurlname.

The qmv ("quick move") program allows file names to be edited in a
text editor. The names of all files in a directory are written to a
text file, which is then edited by the user. The text file is read and
parsed, and the changes are applied to the files.

The qcp ("quick cp") program works like qmv, but copies files instead
of moving them.

The imv ("interactive move") program, is trivial but useful when you
are too lazy to type (or even complete) the name of the file to rename
twice. It allows a file name to be edited in the terminal using the
GNU Readline library. icp copies files.

The deurlname program removes URL encoded characters (such as %20
representing space) from file names. Some programs such as w3m tend to
keep those characters encoded in saved files.
Comment 1 Michael Ploujnikov 2009-03-17 18:06:29 EDT
Here is a finished Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1242743
Comment 2 Susi Lehtola 2009-03-17 19:18:46 EDT
Reviewing.

Looking at your first package RR, you are already sponsored. Removing FE-NEEDSPONSOR.
Comment 3 Susi Lehtola 2009-03-17 19:23:49 EDT
A few initial notes:

- the URL
URL:		http://www.nongnu.org/%{name}
would be better as
URL:		http://www.nongnu.org/renameutils

since that way you can open the link straight away from the spec file (you don't have to expand the macro yourself).

- Remove
Requires: readline
as this is picked up automatically by rpmbuild.

- Locales are not handled correctly, see
http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

After you've fixed these I'll make the full review.

Also, as you are a new packager you should make a habit of running rpmlint on all your packages and paste the output in the Review Request every time you put in a new release (up to the package being accepted, that is).
Comment 4 Michael Ploujnikov 2009-03-17 20:26:01 EDT
(In reply to comment #3)
> A few initial notes:
> 
> - the URL
> URL:  http://www.nongnu.org/%{name}
> would be better as
> URL:  http://www.nongnu.org/renameutils
> 
> since that way you can open the link straight away from the spec file (you
> don't have to expand the macro yourself).

Fixed.

> - Remove
> Requires: readline
> as this is picked up automatically by rpmbuild.

Done.

> - Locales are not handled correctly, see
> http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

Done: http://plouj.com/rpmbuild/SPECS/renameutils.spec and http://plouj.com/rpmbuild/SRPMS/renameutils-0.10.0-1.fc9.src.rpm .

> After you've fixed these I'll make the full review.
> 
> Also, as you are a new packager you should make a habit of running rpmlint on
> all your packages and paste the output in the Review Request every time you put
> in a new release (up to the package being accepted, that is).  

I'll do that. The only reason I didn't do it is because https://fedoraproject.org/wiki/Package_Review_Process didn't mention it. However, for my package rpmlint (0.85) doesn't print any errors/warnings:

$ rpmlint /home/plouj/rpmbuild/RPMS/x86_64/renameutils-0.10.0-1.fc9.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/plouj/rpmbuild/RPMS/x86_64/renameutils-debuginfo-0.10.0-1.fc9.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/plouj/rpmbuild/SRPMS/renameutils-0.10.0-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Susi Lehtola 2009-03-18 10:42:05 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Also, as you are a new packager you should make a habit of running rpmlint on
> > all your packages and paste the output in the Review Request every time you put
> > in a new release (up to the package being accepted, that is).  
> 
> I'll do that. The only reason I didn't do it is because
> https://fedoraproject.org/wiki/Package_Review_Process didn't mention it.
> However, for my package rpmlint (0.85) doesn't print any errors/warnings:

Yeah, but it's nicer for the reviewer that way :)

- You should increment the release number every time you make a new release, and add a short comment about the changes you've done to the changelog. This applies also during the review process.

- Installation does not preserve time stamps. Change
 make install DESTDIR=$RPM_BUILD_ROOT
to:
 make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

- AUTHORS and ChangeLog are missing from documentation.

After these changes the package is good to go.
Comment 6 Michael Ploujnikov 2009-03-19 18:27:14 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > Also, as you are a new packager you should make a habit of running rpmlint on
> > > all your packages and paste the output in the Review Request every time you put
> > > in a new release (up to the package being accepted, that is).  
> > 
> > I'll do that. The only reason I didn't do it is because
> > https://fedoraproject.org/wiki/Package_Review_Process didn't mention it.
> > However, for my package rpmlint (0.85) doesn't print any errors/warnings:
> 
> Yeah, but it's nicer for the reviewer that way :)

Should this be mentioned on the wiki?

> - You should increment the release number every time you make a new release,
> and add a short comment about the changes you've done to the changelog. This
> applies also during the review process.
> 
> - Installation does not preserve time stamps. Change
>  make install DESTDIR=$RPM_BUILD_ROOT
> to:
>  make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

Fixed.

> - AUTHORS and ChangeLog are missing from documentation.

ChangeLog mentions that it obsoleted by NEWS and it seems so based on content. I just added AUTHORS.

http://plouj.com/rpmbuild/SPECS/renameutils.spec has been updated and http://plouj.com/rpmbuild/SRPMS/renameutils-0.10.0-2.fc9.src.rpm has been uploaded.
Comment 7 Susi Lehtola 2009-03-19 19:19:17 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > (In reply to comment #3)
> > > > Also, as you are a new packager you should make a habit of running rpmlint on
> > > > all your packages and paste the output in the Review Request every time you put
> > > > in a new release (up to the package being accepted, that is).  
> > > 
> > > I'll do that. The only reason I didn't do it is because
> > > https://fedoraproject.org/wiki/Package_Review_Process didn't mention it.
> > > However, for my package rpmlint (0.85) doesn't print any errors/warnings:
> > 
> > Yeah, but it's nicer for the reviewer that way :)
> 
> Should this be mentioned on the wiki?

Uhh, maybe. The reason why it stands at it does now is probably that the reviewer must in any case run rpmlint on the generated packages. It's just good practice for the packager to check whether s/he has got everything right before submitting the package for critisism.

> > - AUTHORS and ChangeLog are missing from documentation.
> 
> ChangeLog mentions that it obsoleted by NEWS and it seems so based on content.
> I just added AUTHORS.

OK.

- Change the summary to "A set of programs to make renaming and copying of files easier". The current summary is inexact since the package is not purely about moving, but also copying files. You can do this upon import to CVS (remember to increment the release, still :)

*****

rpmlint output is clean. The package adheres to Fedora Packaging and Package Review Guidelines and is thus APPROVED.
Comment 8 Michael Ploujnikov 2009-03-19 23:18:01 EDT
New Package CVS Request
=======================
Package Name: renameutils
Short Description: A set of programs to make renaming and copying of files easier
Owners: plouj 
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-03-22 01:32:18 EDT
cvs done.
Comment 10 Fedora Update System 2009-03-22 15:37:08 EDT
renameutils-0.10.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/renameutils-0.10.0-3.fc9
Comment 11 Fedora Update System 2009-03-22 15:38:29 EDT
renameutils-0.10.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/renameutils-0.10.0-3.fc10
Comment 12 Fedora Update System 2009-03-23 11:49:53 EDT
renameutils-0.10.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-03-23 11:58:17 EDT
renameutils-0.10.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.